
Auto Multiple Choice - Bug # 95: pbm d'installation d'AMC sur MacBook
Author: Aurélien Roques Category:
Description: Bonjour,

je n'arrive pas à installer AMC sur mon MacBook Pro (Os X 10.8) que ce soit avec MacPort ou avec le fichier 
source.

Lors de l'installation, j'obtiens les messages suivants

Avec Macport :
sudo port install auto-multiple-choice
Password:
Warning: port definitions are more than two weeks old, consider using selfupdate
--->  Computing dependencies for auto-multiple-choice
--->  Dependencies to be installed: p5.12-net-cups p5.12-openoffice-oodoc p5.12-xml-twig p5.12-text-csv 
p5.12-xml-simple p5.12-xml-namespacesupport p5.12-xml-sax p5.12-xml-sax-base p5.12-xml-sax-expat 
p5.12-xml-writer poppler poppler-data texlive-latex-extra texlive-bin ghostscript jbig2dec libpaper xorg-libXt 
xorg-libsm xorg-libice libzzip xmlto coreutils gmp findutils fop t1lib texlive-common xorg-libXaw groff psutils 
texinfo xorg-libXmu xpm xorg-libXp xorg-printproto texlive-latex-recommended pgf texlive-basic 
texlive-documentation-base texlive-latex texlive-pictures texlive-xetex texlive-generic-recommended
--->  Building p5.12-net-cups
Error: org.macports.build for port p5.12-net-cups returned: command execution failed
Error: Failed to install p5.12-net-cups
Please see the log file for port p5.12-net-cups for details:
    
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_p
erl_p5-net-cups/p5.12-net-cups/main.log
Error: The following dependencies were not installed: p5.12-net-cups p5.12-openoffice-oodoc p5.12-xml-twig 
p5.12-text-csv p5.12-xml-simple p5.12-xml-namespacesupport p5.12-xml-sax p5.12-xml-sax-base 
p5.12-xml-sax-expat p5.12-xml-writer poppler poppler-data texlive-latex-extra texlive-bin ghostscript jbig2dec 
libpaper xorg-libXt xorg-libsm xorg-libice libzzip xmlto coreutils gmp findutils fop t1lib texlive-common 
xorg-libXaw groff psutils texinfo xorg-libXmu xpm xorg-libXp xorg-printproto texlive-latex-recommended pgf 
texlive-basic texlive-documentation-base texlive-latex texlive-pictures texlive-xetex 
texlive-generic-recommended
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port auto-multiple-choice failed

Avec les sources, 
lorsque j'essaye l'installation avec les fichiers suivants
 auto-multiple-choice_1.0.2_precomp.tar.gz 21-Jun-2012 09:30  1.9M 
 auto-multiple-choice_1.1.0_precomp.tar.gz 21-Jun-2012 09:30  3.6M 
 auto-multiple-choice_1.1.1_precomp.tar.gz 21-Jun-2012 09:30  3.6M 
l'installation s'arrête car elle ne trouve pas le fichier ppm.h
gcc -o AMC-traitement-image AMC-traitement-image.c -O2  -lnetpbm
AMC-traitement-image.c:26:16: error: ppm.h: No such file or directory

Pouvez vous m'aider à résoudre mon problème, svp ?
Merci

History
11/17/2012 03:19 pm - Alexis Bienvenüe
Il me semble que c'est le même problème que le bug #70.

11/20/2012 07:19 pm - Aurélien Roques
Effectivement, le Bug #70 correspond à l'installation d'AMC avec MacPort.

Concernant l'installation avec le code source, le message "Question #161100":https://answers.launchpad.net/amc/+question/161100 aborde le même 
problème d'absence de fichier ppm.h ; j'ai suivi le conseil de ce message à savoir de compiler le code en ajoutant la configuration de MacPort selon la 
commande

  make AMCCONF=macports

et l'installation se déroule bien. 

Par contre, lors de l'exécution, j'obtiens le message 

  Format d'image non reconnu at /opt/local/lib/AMC/perl/AMC-gui.pl line 101.

Cette erreur est abordée dans le Bug #68 où il est conseillé d'exécuter 

  sudo /opt/local/bin/gdk-pixbuf-query-loaders --update-cache

Lors de l'exécution d'amc, j'obtiens alors une succession de warnings
<pre>
Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkImage.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkComboBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkHBox.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkHBox.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkScrolledWindow.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkTreeView.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkTreeView.hexpand at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkVButtonBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkButton.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkVBox.valign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
Gtk-WARNING **: Unknown property: GtkHBox.halign at /opt/local/lib/AMC/perl/AMC-gui.pl line 745.
</pre>
mais le logiciel se lance correctement.
Merci !
Aurélien

11/20/2012 09:40 pm - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Bravo pour votre persévérance, et merci pour votre rapport détaillé.

03/08/2013 09:37 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed
